<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

if (!defined('BASEDIR')) {
  include_once '..' . DIRECTORY_SEPARATOR . 'constants.php';
}


class DBWorkHLAnwVerhaltenText extends DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->select = 'id, text';
    $this->_dataModulFields = array('text', 'id');
  }

  
  public function getNewObject()
  {
    return new HLAnwVerhaltenText();
  }

  public function getTableName(): string
  {
    return 'hlanw_verhalten_text';
  }
}